Skip to main content
GET
List Project Data Definition Tags
Closed Beta
Available to a limited set of invited customers. Contact your account team to join. The request and response contract may change before general availability (GA).

Authorizations

Authorization
string
header
required

This endpoint uses Service Account authentication.

Headers

Mixpanel-Version
string
default:2026-08-13

Optional date-based API version pin.

If omitted, the request is served by the latest API version, and the caller accepts that a future release may introduce a breaking change to the response contract. If set to a supported version date, that version's contract is honored and will not receive a breaking change.

Path Parameters

project_id
string
required

The unique identifier for the project.

Query Parameters

page_size
integer
default:100

Items per page.

Required range: 1 <= x <= 1000
cursor
string | null

Previous or next cursor used to paginate.

order
enum<string>
default:asc

Sort order: 'asc' or 'desc'.

Available options:
asc,
desc
sort
enum<string>
default:name

Sort by tag name, or by entity count with ties broken by name.

Available options:
name,
entity_count

Response

OK

A page of a project's tags.

results
DataDefinitionTagResponse · object[]
required

List of items for the current page.

pagination
CursorPaginationResponse · object
required

Pagination cursors to navigate through the results.